Skip to main content
GET
/
credits
/
{id}
Get a credit grant
curl --request GET \
  --url https://eu.sequencehq.com/api/credits/{id} \
  --header 'Authorization: <authorization>'
{
  "id": "746fc7f2-8098-4fe7-953c-7d51c580a126",
  "sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
  "customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
  "name": "On-boarding Credits",
  "creditUnitType": "CURRENCY",
  "currency": "GBP",
  "metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
  "amount": 10,
  "costOfCredit": 10,
  "taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
  "effectiveDate": "2023-01-01",
  "expiryDate": "2023-01-31",
  "createdAt": "2022-10-07T14:12:08.826121Z",
  "creditNoteId": "73086198-8752-4ec9-a99b-16209a32dc6c",
  "integrationIds": [
    {
      "service": "Xero",
      "id": "74ed2615-4730-49ab-9445-74f31723a206",
      "isPending": false
    }
  ]
}

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Credit grant ID

Response

OK

id
string
required

Credit Grant ID

Example:

"746fc7f2-8098-4fe7-953c-7d51c580a126"

sequenceAccountId
string
required

Sequence Account ID

Example:

"dce9ae85-d8d0-42b4-bcad-f221a64363c6"

customerId
string
required

The ID of the Customer Credit is granted to

Example:

"61b083e0-1faa-47ca-9aeb-6205da8f6c47"

name
string
required

Name of the Credit Grant

Example:

"On-boarding Credits"

creditUnitType
enum<string>
required

Type of the Unit of Credit

Available options:
CURRENCY,
METRIC
Example:

"CURRENCY"

currency
enum<string>
required

Currency of Cash Credit (if CreditUnitType is CURRENCY)

Available options:
AED,
ARS,
AUD,
BRL,
BGN,
CAD,
CHF,
CLP,
CNY,
COP,
CZK,
DKK,
EGP,
EUR,
GBP,
HKD,
ILS,
INR,
ISK,
JPY,
KRW,
MXN,
NOK,
NZD,
PLN,
SAR,
SEK,
SGD,
THB,
USD,
UYU,
ZAR
Example:

"GBP"

amount
number
required

Amount of Units Granted

Example:

10

costOfCredit
number
required

Cost of Credit Grant, to be Invoiced to the Customer

Example:

10

createdAt
string
required

The created at

Example:

"2022-10-07T14:12:08.826121Z"

integrationIds
object[]
required

IDs in external integrations

Example:
[
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
metricId
string

Metric ID (if CreditUnitType is METRIC)

Example:

"f092246c-6b90-4106-bcca-304ccf06bf45"

taxRateId
string

Tax Rate ID for Credit Purchase

Example:

"179d1ab3-cc96-48e2-9310-067b0b42d47c"

effectiveDate
string

First Day Credit Grant can be consumed

Example:

"2023-01-01"

expiryDate
string

Last Day Credit Grant can be consumed

Example:

"2023-01-31"

creditNoteId
string

ID of the credit note that created this grant (if applicable)

Example:

"73086198-8752-4ec9-a99b-16209a32dc6c"